MLAPI API Reference

# BitReader Methods

[This is preliminary documentation and is subject to change.]

The BitReader type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Equals | (Inherited from Object.)
| Finalize | (Inherited from Object.)
| GetHashCode | (Inherited from Object.)
| GetType | (Inherited from Object.)
| MemberwiseClone | (Inherited from Object.)
| ReadBool |
| ReadByte |
| ReadByteArray |
| ReadDouble |
| ReadDoubleArray |
| ReadFloat |
| ReadFloatArray |
| ReadInt |
| ReadIntArray |
| ReadLong |
| ReadLongArray |
| ReadSByte |
| ReadSByteArray |
| ReadShort |
| ReadShortArray |
| ReadString |
| ReadUInt |
| ReadUIntArray |
| ReadULong |
| ReadULongArray |
| ReadUShort |
| ReadUShortArray |
| SkipPadded |
| ToString | (Inherited from Object.)

Top
See Also

#### Reference

BitReader Class
MLAPI.NetworkingManagerComponents.Binary Namespace